PLplot: qsastime.h File Reference

PLplot 5.10.0

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Typedefs | Functions
qsastime.h File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include "qsastimedll.h"`

Go to the source code of this file.

## Typedefs
typedef struct QSASConfigStruct | QSASConfig

## Functions
QSASTIMEDLLIMPEXP void | configqsas (double scale, double offset1, double offset2, int ccontrol, int ifbtime_offset, int year, int month, int day, int hour, int min, double sec, QSASConfig **qsasconfig)
QSASTIMEDLLIMPEXP void | closeqsas (QSASConfig **qsasconfig)
QSASTIMEDLLIMPEXP int | ctimeqsas (int year, int month, int day, int hour, int min, double sec, double *ctime, QSASConfig *qsasconfig)
QSASTIMEDLLIMPEXP void | btimeqsas (int *year, int *month, int *day, int *hour, int *min, double *sec, double ctime, QSASConfig *qsasconfig)
QSASTIMEDLLIMPEXP size_t | strfqsas (char *buf, size_t len, const char *format, double ctime, QSASConfig *qsasconfig)

## Typedef Documentation

typedef struct QSASConfigStruct QSASConfig

Definition at line 50 of file qsastime.h.

## Function Documentation

QSASTIMEDLLIMPEXP void btimeqsas | ( | int * | year,
|  | int * | month,
|  | int * | day,
|  | int * | hour,
|  | int * | min,
|  | double * | sec,
|  | double | ctime,
|  | QSASConfig * | qsasconfig
| ) |  |

Definition at line 1233 of file qsastime.c.

QSASTIMEDLLIMPEXP void closeqsas | ( | QSASConfig ** | qsasconfig | ) |

Definition at line 1200 of file qsastime.c.

QSASTIMEDLLIMPEXP void configqsas | ( | double | scale,
|  | double | offset1,
|  | double | offset2,
|  | int | ccontrol,
|  | int | ifbtime_offset,
|  | int | year,
|  | int | month,
|  | int | day,
|  | int | hour,
|  | int | min,
|  | double | sec,
|  | QSASConfig ** | qsasconfig
| ) |  |

Definition at line 1142 of file qsastime.c.

QSASTIMEDLLIMPEXP int ctimeqsas | ( | int | year,
|  | int | month,
|  | int | day,
|  | int | hour,
|  | int | min,
|  | double | sec,
|  | double * | ctime,
|  | QSASConfig * | qsasconfig
| ) |  |

Definition at line 1210 of file qsastime.c.

QSASTIMEDLLIMPEXP size_t strfqsas | ( | char * | buf,
|  | size_t | len,
|  | const char * | format,
|  | double | ctime,
|  | QSASConfig * | qsasconfig
| ) |  |

Definition at line 1271 of file qsastime.c.